usb_device_composite_struct_t Struct Reference
Collaboration diagram for usb_device_composite_struct_t:
[legend]

## Data Fields

usb_device_handle | device_handle
usb_hid_generic_struct_t | hid_generic
usb_msc_struct_t | msc_disk
uint8_t | speed
uint8_t | attach
uint8_t | current_configuration
uint8_t | current_interface_alternate_setting [USB_COMPOSITE_INTERFACE_COUNT]

## Field Documentation

uint8_t attach

uint8_t current_configuration

uint8_t current_interface_alternate_setting[USB_COMPOSITE_INTERFACE_COUNT]

usb_device_handle device_handle

usb_hid_generic_struct_t hid_generic

usb_msc_struct_t msc_disk

uint8_t speed

The documentation for this struct was generated from the following file:

- composite.h